com.trendmicro.ds.platform.rest.object.smartfolder

## Class QueryDefinitionElement

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.smartfolder.QueryDefinitionElement

-     public class QueryDefinitionElement
      extends java.lang.Object

  A Smart Folder Query Definition Element.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryDefinitionElement()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object object)`
    `java.util.List<QueryDefinitionElement>` | `getChildQueryDefinitionElement()` Gets the child Query Definition Elements
    `java.lang.String` | `getKey()` Gets The key of the Query Definition Element.
    `java.lang.String` | `getLabel()` Gets the display label of the Query Definition Element.
    `void` | `setChildQueryDefinitionElement(java.util.List<QueryDefinitionElement> childQueryDefinitionElement)` Sets the child Query Definition Elements
    `void` | `setKey(java.lang.String key)` Sets The key of the Query Definition Element.
    `void` | `setLabel(java.lang.String label)` Sets the display label of the Query Definition Element
    `QueryDefinitionElement` | `withChildQueryDefinitionElement(QueryDefinitionElement childQueryDefinitionElement)`
    `QueryDefinitionElement` | `withKey(Model.Key key)` Sets the key of the Query Definition Element.
    `QueryDefinitionElement` | `withKey(Model.Operator operator)` Sets the key of the Query Definition Element.
    `QueryDefinitionElement` | `withKey(java.lang.String key)` Sets the key of the Query Definition Element.
    `QueryDefinitionElement` | `withLabel(java.lang.String label)` Sets the display label of the Query Definition Element.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryDefinitionElement

          public QueryDefinitionElement()

  - ### Method Detail

    - #### getLabel

          public java.lang.String getLabel()

      Gets the display label of the Query Definition Element.
      Returns:
        The display label of the Query Definition Element.

    - #### setLabel

          public void setLabel(java.lang.String label)

      Sets the display label of the Query Definition Element
      Parameters:
        `label` -

    - #### getKey

          public java.lang.String getKey()

      Gets The key of the Query Definition Element.
      Returns:
        The key of the Query Definition Element.

    - #### setKey

          public void setKey(java.lang.String key)

      Sets The key of the Query Definition Element.
      Parameters:
        `key` - The key of the Query Definition Element.

    - #### getChildQueryDefinitionElement

          public java.util.List<QueryDefinitionElement> getChildQueryDefinitionElement()

      Gets the child Query Definition Elements
      Returns:
        The child Query Definition Elements

    - #### setChildQueryDefinitionElement

          public void setChildQueryDefinitionElement(java.util.List<QueryDefinitionElement> childQueryDefinitionElement)

      Sets the child Query Definition Elements
      Parameters:
        `childQueryDefinitionElement` - The child Query Definition Elements

    - #### withLabel

          public QueryDefinitionElement withLabel(java.lang.String label)

      Sets the display label of the Query Definition Element.
      Parameters:
        `label` - The display label of the Query Definition Element.
      Returns:
        The updated QueryDefinitionElement.

    - #### withKey

          public QueryDefinitionElement withKey(java.lang.String key)

      Sets the key of the Query Definition Element.
      Parameters:
        `key` - The key of the Query Definition Element.
      Returns:
        The updated QueryDefinitionElement.

    - #### withKey

          public QueryDefinitionElement withKey(Model.Key key)

      Sets the key of the Query Definition Element.
      Parameters:
        `key` - The key of the Query Definition Element.
      Returns:
        The updated QueryDefinitionElement.

    - #### withKey

          public QueryDefinitionElement withKey(Model.Operator operator)

      Sets the key of the Query Definition Element.
      Parameters:
        `key` - The key of the Query Definition Element.
      Returns:
        The updated QueryDefinitionElement.

    - #### withChildQueryDefinitionElement

          public QueryDefinitionElement withChildQueryDefinitionElement(QueryDefinitionElement childQueryDefinitionElement)

    - #### equals

          public boolean equals(java.lang.Object object)

      Overrides:
        `equals` in class `java.lang.Object`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.